import express from "express";
import {
  createOrderRD,
  getPlacedOrdersForPD,
  getPlacedOrdersForRD,
  getSinglePlacedOrderForPD,
  getSinglePlacedOrderForRD,
} from "./rdOrderController.js";
import { isAuthenticatedRD } from "../../middlewares/rdAuth.js";
import { isAuthenticatedUser } from "../../middlewares/auth.js";
const router = express.Router();

router.route("/rd-place-order").post(isAuthenticatedRD, createOrderRD);
router.route("/rd-place-order").get(isAuthenticatedRD, getPlacedOrdersForRD);
router
  .route("/rd-place-order/:id")
  .get(isAuthenticatedRD, getSinglePlacedOrderForRD);

// routes for the PD
router
  .route("/pd-get-all-place-order")
  .get(isAuthenticatedUser, getPlacedOrdersForPD);

router
  .route("/pd-get-all-place-order/:id")
  .get(isAuthenticatedUser, getSinglePlacedOrderForPD);

export default router;
